mutation CreateInvoice($input: InvoiceCreateInput!) {
	invoiceCreate(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		invoice {
			id
			invoiceNumber
			invoiceDate
			dueDate
			status
			total {
				value
				currency {
					code
				}
			}
			createdAt
		}
	}
}

mutation UpdateInvoice($input: InvoicePatchInput!) {
	invoicePatch(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		invoice {
			id
			invoiceNumber
			invoiceDate
			dueDate
			status
			total {
				value
				currency {
					code
				}
			}
			modifiedAt
		}
	}
}

mutation DeleteInvoice($input: InvoiceDeleteInput!) {
	invoiceDelete(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
	}
}

mutation SendInvoice($input: InvoiceSendInput!) {
	invoiceSend(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		invoice {
			id
			status
			lastSentAt
			lastSentVia
		}
	}
}

mutation ApproveInvoice($input: InvoiceApproveInput!) {
	invoiceApprove(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		invoice {
			id
			status
		}
	}
}

mutation MarkInvoiceSent($input: InvoiceMarkSentInput!) {
	invoiceMarkSent(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		invoice {
			id
			status
			lastSentAt
			lastSentVia
		}
	}
}

mutation CloneInvoice($input: InvoiceCloneInput!) {
	invoiceClone(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		invoice {
			id
			invoiceNumber
			status
		}
	}
}
